SoulFire LogoSoulFire

Get bot world map

Samples loaded terrain and optional entity overlays for top-down viewers.

GET
/v1/instances/{instance_id}/bots/{bot_id}/world-map

Samples loaded terrain and optional entity overlays for top-down viewers.

Authorization

AuthorizationBearer <token>

Preferred API authentication. Use a JWT with the api audience.

In: header

Path Parameters

instance_id*string
Formatuuid
bot_id*string
Formatuuid

Query Parameters

center_x?|

Center coordinates. Each defaults to the bot's current block position.

center_z?|null
radius?integer

Radius in blocks. Defaults to 64 and is clamped to 1-256.

Formatint32
sample_step?integer

Distance between sampled columns. Defaults to 1 and is clamped to 1-16.

Formatint32
include_entities?boolean

Include nearby entity overlays in the returned snapshot.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/instances/497f6eca-6276-4993-bfeb-53cbbbba6f08/bots/497f6eca-6276-4993-bfeb-53cbbbba6f08/world-map"
{  "dimension": "string",  "centerX": 0,  "centerZ": 0,  "radius": 0,  "sampleStep": 0,  "minY": 0,  "maxY": 0,  "worldRevision": "string",  "sampledAt": "2019-08-24T14:15:22Z",  "columns": [    {      "x": 0,      "z": 0,      "loaded": true,      "surfaceY": 0,      "blockId": "string",      "biomeId": "string",      "skyLight": 0,      "blockLight": 0    }  ],  "entities": [    {      "entityId": "string",      "entityType": "string",      "displayName": "string",      "x": 0.1,      "y": 0.1,      "z": 0.1,      "yaw": 0.1    }  ]}

How is this page?